API ReferenceInboxes
Register DID with an inbox
Roles
adminissuermanaged-issuer
Analytics Events
MESSAGING_INBOX_DID_REGISTER_STARTMESSAGING_INBOX_DID_REGISTER_SUCCESSMESSAGING_INBOX_DID_REGISTER_FAIL
POST
/v1/messaging/inboxes/{id}/didsRegister the provided DID to the requested inbox.
Analytic events
- MESSAGING_INBOX_DID_REGISTER_START
- MESSAGING_INBOX_DID_REGISTER_SUCCESS
- MESSAGING_INBOX_DID_REGISTER_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Requested inbox ID
Request Body
application/json
DID registration information
did*string
URI of the DID to register with this inbox.
jwt?string
Response Body
application/json
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/messaging/inboxes/string/dids" \ -H "Content-Type: application/json" \ -d '{ "did": "string" }'{
"did": "string"
}{
"code": "BadRequest",
"message": "Validation Error",
"details": [
{
"value": "notUUIDvalue",
"msg": "Invalid value",
"param": "inboxId",
"location": "params"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete an inbox DELETE
Deletes an inbox by providing its ID. ### **Analytic events** * MESSAGING_INBOX_DELETE_START * MESSAGING_INBOX_DELETE_SUCCESS * MESSAGING_INBOX_DELETE_FAIL
Retrieve inbox DIDs GET
Retrieves a list of all the DIDs registered with the requested inbox. ### **Analytic events** * MESSAGING_INBOX_DID_RETRIEVE_LIST_START * MESSAGING_INBOX_DID_RETRIEVE_LIST_SUCCESS * MESSAGING_INBOX_DID_RETRIEVE_LIST_FAIL